Bug 1016062 - Missing input constraints for some of socket bindings input fields
Missing input constraints for some of socket bindings input fields
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER5
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 08:29 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-07 08:29:04 EDT
Description of problem:
There is input length&content constraint for most of socket binging input fields (user can enter only digits, user cannot enter more the 5 digits). But this constraints are missing for some fields so user can enter "ss" as port number.

Input validation itself is ok (user cannot continue to next screen with "ss" as port number).

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER4

How reproducible:
always

Steps to Reproduce:
 1. On Socket Bindings screen select to "Configure custom port bindings" and "Configure ports for standalone"
 2. Continue to Socket Bindings (ha-standalone) screen
 3. Navigate to "jgroups-mping Multicast-port" and intut "ssssssssss"

Actual results:
 "ssssssssss" string is put into "jgroups-mping Multicast-port" input field

Expected results:
 "" string is put into "jgroups-mping Multicast-port" input field as "s" is not a valid character for port number.

Found violations:
--- Socket Bindings (ha-standalone)
 - jgroups-mping Multicast-Port
 - jgroups-udp Multicast-Port
 - modcluster Multicast-Port
--- Socket Bindings (full-ha-standalone)
 - jgroups-mping Multicast-Port
 - jgroups-udp Multicast-Port
 - modcluster Multicast-Port
 - messaging-group Multicast-Port
Comment 1 Francisco Canas 2013-10-07 10:09:45 EDT
I've changed the input validation to numeric for the ports listed above.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=9b9b26799bb009d57918dcb79251cb5ae7c2b071
Comment 2 Petr Kremensky 2013-10-08 05:19:30 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.